Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

The current format of email notifications lacks the information of parent issues. I think the information is useful to know the purpose of

the subtask because the subject of a parent task usually expresses a more generic concept.

Web UI already shows parent issues with indented style. I think it would be nice if they are shown with the same style in email

notifications.

Associated revisions

Revision 22120 - 2023-03-01 04:46 - Go MAEDA

Show parent issues in notification email (#34302).

Patch by Yuichi HARADA.

History

#1 - 2020-12-10 02:00 - Yuichi HARADA

- File issue-of-deep-hierarchy.png added

- File notification-email-with-parent-task-added.png added

- File 34302.patch added

As shown in the image below, I think that it would be difficult to read the notification email if the parent-children hierarchies became deep, so I added

"Parent task" in the issue attributes of the notification email.

 issue-of-deep-hierarchy.png 

 notification-email-with-parent-task-added.png 

I attached a patch.

#2 - 2021-01-02 12:57 - Go MAEDA

Thank you for posting the patch. I am not sure if it is appropriate to add a method to Issue model just for email notifications.

#3 - 2023-01-06 10:03 - Go MAEDA

- Target version set to Candidate for next major release

Go MAEDA wrote:

Thank you for posting the patch. I am not sure if it is appropriate to add a method to Issue model just for email notifications.

 After consideration, I don't think that adding Issue#parent_issue is a problem. Adding the method simplifies the implementation of the feature. Also, it

makes things more consistent because there is already Issue#parent_issue_id.

#4 - 2023-02-07 04:12 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#5 - 2023-03-01 04:47 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.
